Issue 8443 - Add icons for Detective functions for toolbars
Summary: Add icons for Detective functions for toolbars
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: 643
Hardware: All All
: P4 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2002-10-17 10:23 UTC by fatfool
Modified: 2017-05-20 11:01 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Example button for Remove all traces (206 bytes, image/png)
2002-10-17 10:34 UTC, fatfool
no flags Details
button for Trace dependents (199 bytes, image/png)
2002-10-17 10:40 UTC, fatfool
no flags Details
button for Trace precedents (199 bytes, image/png)
2002-10-17 10:40 UTC, fatfool
no flags Details
proposed button for Trace dependents, alternative (297 bytes, image/png)
2009-01-21 16:35 UTC, aoo-bugger
no flags Details
button for Trace precedents, alternative (397 bytes, image/png)
2009-01-21 16:37 UTC, aoo-bugger
no flags Details
proposed button for remove traces, alternative (600 bytes, image/png)
2009-01-21 16:38 UTC, aoo-bugger
no flags Details
proposed button for Refresh Traces (629 bytes, text/plain)
2009-02-06 22:49 UTC, edorp
no flags Details
proposed button for Remove All Traces (538 bytes, text/plain)
2009-02-06 22:50 UTC, edorp
no flags Details
proposed button for Remove Dependents (450 bytes, text/plain)
2009-02-06 22:51 UTC, edorp
no flags Details
proposed button for Remove Precedents (423 bytes, text/plain)
2009-02-06 22:52 UTC, edorp
no flags Details
proposed button for Trace Dependents (287 bytes, text/plain)
2009-02-06 22:53 UTC, edorp
no flags Details
proposed button for Trace Precedents (263 bytes, text/plain)
2009-02-06 22:53 UTC, edorp
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description fatfool 2002-10-17 10:23:11 UTC
Could the Detective functions (trace precedents etc.) be added as an option for the standard 
Spreadsheet Object Bar or available from the Customize Toolbar dialog.
I've added them myself 
using basic and also created a few Excel-like buttons, however, I think it might be usefull to add 
them for users that might not want to go to this trouble (or might not have the ability).
Comment 1 fatfool 2002-10-17 10:34:49 UTC
Created attachment 3210 [details]
Example button for Remove all traces
Comment 2 fatfool 2002-10-17 10:40:17 UTC
Created attachment 3211 [details]
button for Trace dependents
Comment 3 fatfool 2002-10-17 10:40:48 UTC
Created attachment 3212 [details]
button for Trace precedents
Comment 4 oc 2003-09-17 09:40:28 UTC
Hi Bettina, one4you
Comment 5 bettina.haberer 2004-01-21 17:03:52 UTC
Summary: Add the detective functions (trace precedents etc.) to the standard
Spreadsheet Object Bar or make it available in the Customize Toolbar dialog.
Hello Niklas, please give approval for this evaluated OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your owner (or
the owner of the concerning developer) for implementation. In case you want this
issue for 'OOo Later', then please reset the target milestone. If you decline
the issue finally, please set the resolution to 'Wontfix' (but do not close). In
case of 'OOo Later' or 'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 6 Martin Hollmichel 2004-05-28 15:01:04 UTC
according to the announcement on releases
(http://www.openoffice.org/servlets/ReadMsg?list=releases&msgNo=7503) this issue
will be re-targeted to OOo Later.
Comment 7 ace_dent 2008-05-16 02:10:38 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 Stefan Weigel 2008-10-31 22:43:21 UTC
Found the requested feature in OOo 3.0.0 (OOO300m9). The detective functions can
be added to customized tool bar via Tools|Customize...

However, despite suggestion and contribution of icons from the reporter, there
are no icons assigned to the commands by default.

Comment 9 Stefan Weigel 2008-11-16 15:59:40 UTC
Cofirming.
Comment 10 aoo-bugger 2008-11-28 15:48:01 UTC
I would suggest to implement the Trace-Precedents/Dependents as a toggle Feature
and Button (similar to the "Show Note" Feature), so the "Remove all traces"
Button would be optional.
Comment 11 aoo-bugger 2009-01-21 16:35:43 UTC
Created attachment 59571 [details]
proposed button for Trace dependents, alternative
Comment 12 aoo-bugger 2009-01-21 16:37:07 UTC
Created attachment 59572 [details]
button for Trace precedents, alternative
Comment 13 aoo-bugger 2009-01-21 16:38:08 UTC
Created attachment 59573 [details]
proposed button for remove traces, alternative
Comment 14 aoo-bugger 2009-01-21 16:43:08 UTC
Sorry, for the next Set of icons, but I think the first Set was definitively to
unclear.
My set is intended as a draft / idea (for a pro designer).
Comment 15 frank.loehmann 2009-01-27 11:00:49 UTC
cc myself
Comment 16 edorp 2009-02-06 22:49:12 UTC
Created attachment 59993 [details]
proposed button for Refresh Traces
Comment 17 edorp 2009-02-06 22:50:03 UTC
Created attachment 59994 [details]
proposed button for Remove All Traces
Comment 18 edorp 2009-02-06 22:51:00 UTC
Created attachment 59995 [details]
proposed button for Remove Dependents
Comment 19 edorp 2009-02-06 22:52:29 UTC
Created attachment 59996 [details]
proposed button for Remove Precedents
Comment 20 edorp 2009-02-06 22:53:11 UTC
Created attachment 59997 [details]
proposed button for Trace Dependents
Comment 21 edorp 2009-02-06 22:53:39 UTC
Created attachment 59998 [details]
proposed button for Trace Precedents
Comment 22 oooforum (fr) 2016-03-07 15:24:19 UTC
Extension available: http://extensions.openoffice.org/node/18460
Comment 23 Marcus 2017-05-20 11:01:00 UTC
Reset assigne to the default "issues@openoffice.apache.org".